System.Security [00 24 00 00 04 80 00 00 94 00 00 00 06 02 00 00 00 24 00 00 52 53 41 31 00 04 00 00 01 00 01 00 07 D1 FA 57 C4 AE D9 F0 A3 2E 84 AA 0F AE FD 0D E9 E8 FD 6A EC 8F 87 FB 03 76 6C 83 4C 99 92 1E B2 3B E7 9A D9 D5 DC C1 DD 9A D2 36 13 21 02 90 0B 72 3C F9 80 95 7F C4 E1 77 10 8F C6 07 77 4F 29 E8 32 0E 92 EA 05 EC E4 E8 21 C0 A5 EF E8 F1 64 5C 4C 0C 93 C1 AB 99 28 5D 62 2C AA 65 2C 1D FA D6 3D 74 5D 6F 2D E5 F1 7E 5E AF 0F C4 96 3D 26 1C 8A 12 43 65 18 20 6D C0 93 34 4D 5A D2 93] 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. System.Object Master class to load and verify signed XML document and to generate new XML signatures. To be added
- Constructor
  To be added
  To be added
  1.0.5000.0
  2.0.0.0
- Constructor
  a
  To be added
  To be added
  1.0.5000.0
  2.0.0.0
- Constructor
  a
  To be added
  To be added
  1.0.5000.0
  2.0.0.0
- Method
  System.Void `` a To be added To be added 1.0.5000.0 2.0.0.0
- Method
  System.Void `` a To be added To be added 1.0.5000.0 2.0.0.0
- Method
  System.Boolean Check the document signature using the keys specified under the <KeyInfo>. True if the signature was verified, false otherwise. False could also mean that the public key to verify the document isn't part of the document (and must be supplied independently). 1.0.5000.0 2.0.0.0
- Method
  System.Boolean `` a Check the document signature using the specified public key. True if the signature was verified, false otherwise. To be added 1.0.5000.0 2.0.0.0
- Method
  System.Boolean `` a Check the document signature using the specified secret (symmetric) key. True if the signature was verified, false otherwise.

  Only is supported by the XMLDSIG specification.

  This example read a XML file (document.xml) and verify if it has been signed with the shared secret "trustme".

  `XmlDocument doc = new XmlDocument (); // Whitespaces are very important for XML signature! doc.PreserveWhitespace = true; doc.Load ("document.xml"); XmlNodeList nodeList = doc.GetElementsByTagName ("Signature", SignedXml.XmlDsigNamespaceUrl); // only check the first signature (there could be many - or none) XmlElement signature = (XmlElement) nodeList [0]; SignedXml s = new SignedXml (); s.LoadXml (signature); byte[] sharedsecret = Encoding.ASCII.GetBytes ("trustme"); HMACSHA1 mac = new HMACSHA1 (sharedsecret); if (s.CheckSignature (mac)) { Console.WriteLine ("Signature is valid"); } else { Console.WriteLine ("Invalid signature"); }` 1.0.5000.0 2.0.0.0
- Method
  2.0.0.0
  System.Runtime.InteropServices.ComVisible(false)
  System.Boolean `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  System.Boolean `` an instance that verified the XML signature or null if the signature couldn't be verified using the key available in the XML document. Check the document signature using the keys specified under the <KeyInfo> and return the public key that verified the signature. True if the signature was verified, false otherwise. False could also mean that the public key to verify the document isn't part of the document (and must be supplied independently). 1.0.5000.0 2.0.0.0
- Method
  System.Void Generate the signature using the private key available if the SigningKey property. To be added 1.0.5000.0 2.0.0.0
- Method
  System.Void `` the keyed-hash algorithm instance to use to sign the XML document. Generate the signature using the specified secret (symmetric) algorithm. Only is supported by the XMLDSIG specification. 1.0.5000.0 2.0.0.0
- Property
  2.0.0.0
  System.Runtime.InteropServices.ComVisible(false)
  System.Security.Cryptography.Xml.EncryptedXml To be added. To be added. To be added.
- Method
  System.Xml.XmlElement `` `` a a To be added a To be added 1.0.5000.0 2.0.0.0
- Method
  System.Security.Cryptography.AsymmetricAlgorithm To be added a To be added 1.0.5000.0 2.0.0.0
- Method
  System.Xml.XmlElement To be added a To be added 1.0.5000.0 2.0.0.0
- Property
  System.Security.Cryptography.Xml.KeyInfo To be added a To be added 1.0.5000.0 2.0.0.0
- Method
  System.Void `` a To be added To be added 1.0.5000.0 2.0.0.0
- Field
  System.Security.Cryptography.Xml.Signature To be added To be added 1.0.5000.0 2.0.0.0
- Field
  System.String To be added To be added 1.0.5000.0 2.0.0.0
- Property
  System.Xml.XmlResolver To be added a To be added 1.0.5000.0 2.0.0.0 System.Runtime.InteropServices.ComVisible(false)
- Property
  System.Security.Cryptography.Xml.Signature To be added a To be added 1.0.5000.0 2.0.0.0
- Property
  System.String To be added a To be added 1.0.5000.0 2.0.0.0
- Property
  System.String To be added a To be added 1.0.5000.0 2.0.0.0
- Property
  System.Byte[] To be added a To be added 1.0.5000.0 2.0.0.0
- Property
  System.Security.Cryptography.Xml.SignedInfo To be added a To be added 1.0.5000.0 2.0.0.0
- Property
  System.Security.Cryptography.AsymmetricAlgorithm To be added a To be added 1.0.5000.0 2.0.0.0
- Property
  System.String To be added a To be added 1.0.5000.0 2.0.0.0
- Field
  2.0.0.0
  System.String To be added. To be added.
- Field
  2.0.0.0
  System.String To be added. To be added.
- Field
  2.0.0.0
  System.String To be added. To be added.
- Field
  2.0.0.0
  System.String To be added. To be added.
- Field
  System.String Unique URL identifier for the XMLDSIG default canonicalization algorithm. http://www.w3.org/TR/2001/REC-xml-c14n-20010315 1.0.5000.0 2.0.0.0
- Field
  System.String Unique URL identifier for the XMLDSIG default canonicalization algorithm when signing/verifying XML comments. http://www.w3.org/TR/2001/REC-xml-c14n-20010315#WithComments 1.0.5000.0 2.0.0.0
- Field
  System.String Unique URL identifier for the Digital Signature Algorithm (DSA) using SHA-1. http://www.w3.org/2000/09/xmldsig#dsa-sha1 1.0.5000.0 2.0.0.0
- Field
  2.0.0.0
  System.String To be added. To be added.
- Field
  2.0.0.0
  System.String To be added. To be added.
- Field
  2.0.0.0
  System.String To be added. To be added.
- Field
  System.String Unique URL identifier for the HMAC mechanism using the SHA1 hash algorithm. http://www.w3.org/2000/09/xmldsig#hmac-sha1 1.0.5000.0 2.0.0.0
- Field
  System.String Unique URL identifier for the XMLDSIG minimal canonicalization algorithm. http://www.w3.org/2000/09/xmldsig#minimal 1.0.5000.0 2.0.0.0
- Field
  System.String Unique URL identifier for the W3 XMLDSIG namespace. http://www.w3.org/2000/09/xmldsig# 1.0.5000.0 2.0.0.0
- Field
  System.String Unique URL identifier for the RSA signatures using SHA-1 (PKCS #1). http://www.w3.org/2000/09/xmldsig#rsa-sha1 1.0.5000.0 2.0.0.0
- Field
  System.String Unique URL identifier for the SHA1 hash algorithm. http://www.w3.org/2000/09/xmldsig#sha1 1.0.5000.0 2.0.0.0
- Field
  2.0.0.0
  System.String To be added. To be added.
- Field
  2.0.0.0
  System.String To be added. To be added.
- Field
  2.0.0.0
  System.String To be added. To be added.